#ifndef PROGRESS_WIDGET_H
#define PROGRESS_WIDGET_H

/*!
  \file
  \brief ロードの進捗表示

  \author Satofumi KAMIMURA

  $Id$
*/

#include "ui_ProgressWidgetForm.h"
#include <QWidget>
#include <memory>


class ProgressWidget : public QWidget, private Ui::ProgressWidgetForm
{
  Q_OBJECT;

public:
  ProgressWidget(QWidget* widget = 0);
  ~ProgressWidget(void);

public slots:
  void setProgress(int percent);

private:
  ProgressWidget(const ProgressWidget& rhs);
  ProgressWidget& operator = (const ProgressWidget& rhs);

  struct pImpl;
  std::auto_ptr<pImpl> pimpl;
};

#endif /* !PROGRESS_WIDGET_H */
